
%global meadversion 1.2.2
%global namedversion 1.2.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jbossws-common-tools}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.2.Final-redhat-1

Name:           %{?scl_prefix}jbossws-common-tools
Summary:        JBoss Web Services - Tools Integration
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
License:        LGPLv2+
Group:          Development/Libraries

%if %with mead
Source100: jbossws-common-tools-1.2.2.Final-redhat-1-scm-sources.zip
Source102: jbossws-common-tools-1.2.2.Final-redhat-1.pom
Source103: jbossws-common-tools-1.2.2.Final-redhat-1.jar
Source104: jbossws-common-tools-1.2.2.Final-redhat-1-project-sources.tar.gz
Source105: jbossws-common-tools-1.2.2.Final-redhat-1-javadoc.jar
Source106: jbossws-common-tools-1.2.2.Final-redhat-1-sources.jar
%endif

URL:            https://github.com/jbossws/jbossws-common-tools
BuildRoot:      %{_tmppath}/jbossws-common-tools-%{version}-buildroot
BuildArch:      noarch

%description
JBossWS Common Tools

%if %with javadoc
%package javadoc
Summary:        Javadoc for jbossws-common-tools
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
Javadoc for jbossws-common-tools
%endif

%prep
%setup -q -n jbossws-common-tools -T -b 100

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}

#jars
install -pD -T -m 644 %{_sourcedir}/jbossws-common-tools-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-common-tools-%{namedversion}.jar
install -pD -T -m 644 %{_sourcedir}/jbossws-common-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-common-tools-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-common-tools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-common-tools-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossws-common-tools-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jbossws-common-tools-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-common-tools-%{namedversion} -x META-INF/\*
%{__ln_s} jbossws-common-tools-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-common-tools
%endif

%clean
rm -rf %{buildroot}

                                                                                                     
%files -n %{?scl_prefix}jbossws-common-tools
%defattr(0644,root,root,0755)
%{_javadir}/jbossws-common-tools-%{namedversion}.jar
%{_javadir}/jbossws-common-tools.jar
%if %with javadoc
%{_javadir}/jbossws-common-tools-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-common-tools-javadoc.jar
%endif
%{_javadir}/jbossws-common-tools-%{namedversion}-sources.jar
%{_javadir}/jbossws-common-tools-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-common-tools
%{_javadocdir}/jbossws-common-tools-%{namedversion}
%endif

%changelog
* Wed Dec 16 2015 Yong Yang <yyang@redhat.com> - 1.2.2-1.Final_redhat_1.1
- Rebuild  1.2.2.Final-redhat-1 

* Wed Jul 08 2015 Hui Wang <huwang@redhat.com> - 1.2.1-1.Final_redhat_1.1
- Upgrade to 1.2.1.Final-redhat-1

* Wed Jul 08 2015 Hui Wang <huwang@redhat.com> - 1.2.1-1.Final_redhat_1.1
- Upgrade to 1.2.1.Final-redhat-1

* Wed Sep 18 2013 Lin Gao <lgao@redhat.com> - 1.2.0-1.Final_redhat_2
- Rebuild to change the dependency to gnu.getopt:java-getopt

* Fri Sep 06 2013 Lin Gao <lgao@redhat.com> - 1.2.0-1.Final_redhat_1
- Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Thu Oct 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1
- Upgrade to 1.0.2.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-10.GA_redhat_3.1.4
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.1-9.GA_redhat_3.1.4
- Fix dependency management to eap 6.0.1 boms

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_2.1.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_1.1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-9.GA_redhat_1.1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-9.GA_redhat_1.1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-8.GA_redhat_1.1
- Clean MANIFEST

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-7.GA_redhat_1.1
- Upgrade to 1.0.1.GA-redhat-1

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-6.GA_redhat_1
- Use new wrapper
- Change jars install path
- Requires jpackage-utils in javadoc subpackage
- Remove META-INF from javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-6.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-5.GA_redhat_1
- fix groupId of maven depmap

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-4.GA_redhat_1
- switch to rhpkg build
- fill spec file for rpm build from mead build

* Fri Jan 06 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-3
- upgrade to 1.0.0.GA

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-2
- First mead build
- Upgrade to 1.0.0.CR1

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
